Page MenuHomeFreeBSD

[NEW PORT] net-mgmt/networkmgr
ClosedPublic

Authored by krion on Feb 1 2017, 3:23 PM.

Details

Summary

NetworkMgr is an open source, Network Manager based on the look of the Linux
Network Manager user interface. It use ifconfig and netif if make all work.

WWW: https://github.com/GhostBSD/networkmgr

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

krion updated this revision to Diff 24626.Feb 1 2017, 3:23 PM
krion retitled this revision from to [NEW PORT] net-mgmt/networkmgr.
krion updated this object.
krion edited the test plan for this revision. (Show Details)
krion added a reviewer: mat.
krion added a reviewer: fjoe.Feb 1 2017, 8:36 PM
mat edited edge metadata.Feb 1 2017, 9:01 PM

I really do not like the pkg-install file, for one, it does not cleanup on deinstall, and more important, it changes another ports configuration file. I think this port should add a ${EXAMPLESDIR}/doas.conf with the lines it needs, and tell the user in pkg-message to go look there and copy the content manually.

net-mgmt/networkmgr/Makefile
12 ↗(On Diff #24626)

BSD is deprecated and should not be used. Use BSD[234]CLAUSE, whichever applies.

net-mgmt/networkmgr/pkg-install
7–8 ↗(On Diff #24626)
if ! ​grep -q 'permit nopass keepenv :wheel cmd netcardmgr' ${PKG_PREFIX}/etc/doas.conf 2>/dev/null; then

Same for all the others.

krion added a comment.Feb 5 2017, 8:48 AM
In D9405#194444, @mat wrote:

I really do not like the pkg-install file, for one, it does not cleanup on deinstall, and more important, it changes another ports configuration file. I think this port should add a ${EXAMPLESDIR}/doas.conf with the lines it needs, and tell the user in pkg-message to go look there and copy the content manually.

Yes, it's valid point, I will redo this port with maintainer's agreement

krion updated this revision to Diff 24772.Feb 5 2017, 5:49 PM
krion edited edge metadata.

I've re-created this port as requested, please review and add your comments if any.

krion updated this revision to Diff 24773.Feb 5 2017, 5:55 PM

Fixed plist.

mat added inline comments.Feb 5 2017, 6:54 PM
net-mgmt/networkmgr/Makefile
19 ↗(On Diff #24773)

Does this need bin/python2 ? If not, it should be using USES=python:2.7

23 ↗(On Diff #24773)

No real point in setting this.

net-mgmt/networkmgr/pkg-plist
3 ↗(On Diff #24773)

Simply say etc/xdg...

krion updated this revision to Diff 24783.Feb 6 2017, 7:54 AM
  • Changed python version to 2.7
  • Removed ETCDIR from Makefile
mat accepted this revision.Feb 6 2017, 8:03 AM
mat edited edge metadata.
This revision is now accepted and ready to land.Feb 6 2017, 8:03 AM
This revision was automatically updated to reflect the committed changes.